Note: The response keys may be modified and/or additional keys may be added. If you will be using the endpoint, please set up your code to accommodate for these possibilities.
POST |https://api.iglobalstores.com/v2/orderDetail
HTTPS request
field↕
notes↕
HTTP method
POST
Endpoint
https://api.iglobalstores.com/v2/orderDetail
Protocol
HTTPS
Message format
JSON
Accept HTTP header
Accept: application/json
Content-Type HTTP header
Content-Type: application/json
JSON key/value pairs in the request body
field↕
notes↕
orderId OPTIONAL, if passing referenceId parameter
The Zonos order Id can be passed with or without your store Id and hyphen (Example: 123-45678 or 45678). Note: After order completion and payment, the customer will be redirected to an Order Completion / Order Thank You page hosted on your domain. The URL will contain a querystring parameter “orderId” that will contain this value.integer / string
referenceId OPTIONAL, if passing “orderId” parameter
This parameter is used to look up an order’s data by the unique referenceId passed in the createTempCart API Service endpoint. This parameter should be left off or null when intending to look up the order detail based on orderId parameter.string
secret REQUIRED
API secret GUID provided by Zonosstring
storeId REQUIRED
Store ID provided by Zonos.integer
Error HTTP responses
Error code↕
message↕
meaning↕
415
Unsupported media type
HTML Entity. HTTP “Content-Type” header is invalid.
406
Not Acceptable
HTML Entity. HTTP “Accept” header is invalid.
400
Bad Request
“error”:”orderId: 999-99999 is not a valid orderId”“error”:”Could not find an order with orderId: 999-99999”“error”:”Invalid security credentials”“error”:”Invalid post body”“error”:”Parameter orderId or referenceId is required”“error”:”Cannot specify both Parameters orderId and referenceId”“error”:”No order found with orderId: 999-99999”“error”:”Parameter store required”“error”:”No order found with referenceId: 999999 for storeId: 999”“error”:”referenceId: 999999 for storeId: 999 has been duplicated”“error”:”Couldn’t retrieve order with referenceId: 999999”
500
Internal Server Error
“error”:”Couldn’t process order details”
Response JSON definitions
field↕
notes↕
error
This parameter is present only when an error has occurred and will contain an error description.string
order
This is a map of the order details.JSON string
order.billingZip
Billing address for the order - the values were entered into the Zonos Checkout.string
orderboxCount
This field describes the boxes that will be used to ship the order, passed into the createTempCart request.string
order.carrierAccountNumber
A visitor’s own shipping carrier account number; used when visitor carrier accounts are enabledstring
order.carrierAccountShippingMethod
The selected shipping method on the visitor’s own shipping carrier account; used when visitor carrier accounts are enabledstring
order.cslListMatch
Consolidated Screening List (CSL) match. A boolean that indicates when the customer information has produced a match in the US Consolidated Screening List and should be reviewed for possible denied party affiliation.boolean
order.customerSelectedShippingName
Shipping option display name inside the Zonos Checkoutstring
order.dutyTaxesBreakdown
A map of the duty/tax breakdownNote - If applicable, IPF (International Processing Fee) is not included.JSON string
order.dutyTaxesBreakdown.brokerageFee
Brokerage fee amount in USD; positive floating point, two decimal placesinteger
order.dutyTaxesBreakdown.dispursementFee
Dispursement fee amount in USD; positive floating point, two decimal placesinteger
order.dutyTaxesBreakdown.duty
Duty amount in USD; positive floating point, two decimal placesinteger
order.dutyTaxesBreakdown.prepaymentFee
Prepayment fee amount in USD; positive floating point, two decimal placesinteger
order.dutyTaxesBreakdown.vatOnDispursementFee
VAT/tax amount on dispursement fee in USD; positive floating point, two decimal placesinteger
order.dutyTaxesBreakdown.vatTax
VAT/tax amount in USD, does not include the VAT/tax on the dispursement fee; positive floating point, two decimal placesinteger
order.dutyTaxesTotal
Duty and tax total in USD; positive floating point, two decimal placesinteger
order.foreignCurrencyCode
The currency code that the order payment settled in.string
remittance_amount
The amount of money that needs to be remitted to a specific country, e.g., _ UK VAT_.decimal
order.grandTotal
Grand total in USD; positive floating point, two decimal placesinteger
order.grandTotalForeign
Grand total in settled currency; positive floating point, two decimal placesinteger
order.items
A list of item mapsThe item map contains details about the item that were passed to the Zonos Checkout upon temp cart creationFor more details on item properties, please review the createTempCart API docJSON string
order.itemsCount
Count of order line itemsinteger
order.itemsTotal
Items / product total in USD; positive floating point, two decimal placesinteger
order.itemsTotalForeign
Items / product total in the settled currency; positive floating point, two decimal placesinteger
order.items[index].height
Positive floating point, two decimal placesinteger
order.items[index].itemNonShippable
boolean
order.items[index].length
Positive floating point, two decimal placesinteger
order.items[index].quantity
integer
order.items[index].weight
Positive floating point, two decimal placesinteger
order.items[index].width
Positive floating point, two decimal placesinteger
order.items[index].unitPrice
Positive floating point, two decimal placesinteger
order.merchantOrderId
MerchantOrderId associated with the order through the updateMerchantOrderId API service endpoint.string
order.misc1
Additional value associated with the order through the createTempCart API service endpoint.string
order.misc2
Additional value associated with the order through the createTempCart API service endpoint.string
order.misc3
Additional value associated with the order through the createTempCart API service endpoint.string
order.misc4
Additional value associated with the order through the createTempCart API service endpoint.string
order.misc5
Additional value associated with the order through the createTempCart API service endpoint.string
order.misc6
Additional value associated with the order through the createTempCart API service endpoint.string
order.nationalIdentifier
Additional international billing address information for the order when required. The values were entered into the Zonos Checkout.string
order.notes
A list of note maps; the note map contains details about the order note.JSON string
order.notes[index].createdByUser
string
order.notes[index].customerNote
A boolean indicating if this was a customer created note about the order, shipping, etc.boolean
order.notes[index].dateCreated
millis
order.notes[index].dateCreatedString
string
order.notes[index].flagged
A boolean indicating if this note was flagged as important
order.notes[index].note
The note contentstring
order.optInEmail
Indicates that the customer selected the check box for “sign up for our newsletter” inside the Zonos CheckoutApplicable only if you have chosen to display this check box on the checkout pageboolean
order.orderId
The order’s identification number in the Zonos systemstring
order.orderDate
The order creation timestamp millis in UTC/GMT.millis
order.orderDateString
The order creation timestamp string in UTC/GMT.string
order.orderStatus
The status/state of the order in the Zonos system. For more details on orderStatus usage, please review the Retrieve an order document here.Additional information on the order statuses can be found in the Update an order document here.string
order.orderStatusDate
The timestamp millis in UTC/GMT of the most recent orderStatus change in the Zonos system.millis
order.orderStatusDateString
The timestamp string in UTC/GMT of the most recent orderStatus change in the Zonos system.string
order.paymentProcessing
A map of the paymentProcessing details. Some parameters may not be applicable to your account and will be excluded from the response.JSON string
order.paymentProcessing.captureDate
The date of payment capture in millis, if available.If Zonos is processing the payment, this node is excluded from the response.millis
order.paymentProcessing.captureDateString
The date of payment capture as string, if available.If Zonos is processing the payment, this node is excluded from the response.string
order.paymentProcessing.cardType
Credit card brandIf Zonos is processing the payment, this node is excluded from the response.string
order.paymentProcessing.lastFour
The last four numbers of the billing credit card number.If Zonos is processing the payment, this node is excluded from the response.string
order.paymentProcessing.paymentGateway
Payment gateway nameIf Zonos is processing the payment, will indicate “iGlobal_CC” or “iGlobal_PayPal”.string
order.paymentProcessing.transactionType
Indicates the transaction type“AUTH_CAPTURE” or “AUTH_ONLY”.If Zonos is processing the payment, this node is excluded from the response.string
order.poNumber
A purchase order number for the order specified inside the Zonos Checkout; used when purchase orders are enabledstring
order.quotedDutyTaxes
Duty and tax quoted in the Zonos Checkout, displayed in USD; positive floating point, two decimal placesinteger
order.quotedDutyTaxesForeign
Duty and tax quoted in the Zonos Checkout. Displayed in settled currency; positive floating point, two decimal placesinteger
order.referenceId
Unique referenceId associated with the order through the createTempCart API service endpoint.string
order.shipComplete
Indicates whether the order should ship in multiple partsboolean
order.shippingCarrierServiceLevel
Carrier and service level identifier for the selected shipping optionstring
order.shippingInstructions
Customizable instructions for the shipping service levelstring
order.shippingTotal
Shipping total in USD; positive floating point, two decimal places integer
order.shippingTotalForeign
Shipping total in the settled currency; positive floating point, two decimal placesinteger
order.testOrder
Indicates if the order is a test order.boolean
order.trackingNumber
Tracking number generated for the shipment, if applicable.string
order.zip
Destination / shipping address for the order - the values were entered into the Zonos Checkout or were passed to the order through the redirect to the Zonos Checkout.string
Order details
Order details
Learn how the Order details endpoint works.The
orderDetailendpoint is used to securely retrieve the order details and status of an order completed via the Zonos Checkout.Endpoint
POST |
https://api.iglobalstores.com/v2/orderDetailHTTPS request
https://api.iglobalstores.com/v2/orderDetailJSON key/value pairs in the request body
orderIdOPTIONAL, if passingreferenceIdparameterinteger / stringreferenceIdOPTIONAL, if passing “orderId” parameterreferenceIdpassed in thecreateTempCartAPI Service endpoint. This parameter should be left off or null when intending to look up the order detail based onorderIdparameter.stringsecretREQUIREDstringstoreIdREQUIREDintegerError HTTP responses
Response JSON definitions
errorstringorderJSON stringorder.billingZipstringorderboxCountstringorder.carrierAccountNumberstringorder.carrierAccountShippingMethodstringorder.cslListMatchbooleanorder.customerSelectedShippingNamestringorder.dutyTaxesBreakdownJSON stringorder.dutyTaxesBreakdown.brokerageFeeintegerorder.dutyTaxesBreakdown.dispursementFeeintegerorder.dutyTaxesBreakdown.dutyintegerorder.dutyTaxesBreakdown.prepaymentFeeintegerorder.dutyTaxesBreakdown.vatOnDispursementFeeintegerorder.dutyTaxesBreakdown.vatTaxintegerorder.dutyTaxesTotalintegerorder.foreignCurrencyCodestringremittance_amountdecimalorder.grandTotalintegerorder.grandTotalForeignintegerorder.itemsJSON stringorder.itemsCountintegerorder.itemsTotalintegerorder.itemsTotalForeignintegerorder.items[index].heightintegerorder.items[index].itemNonShippablebooleanorder.items[index].lengthintegerorder.items[index].quantityintegerorder.items[index].weightintegerorder.items[index].widthintegerorder.items[index].unitPriceintegerorder.merchantOrderIdMerchantOrderIdassociated with the order through the updateMerchantOrderId API service endpoint.stringorder.misc1stringorder.misc2stringorder.misc3stringorder.misc4stringorder.misc5stringorder.misc6stringorder.nationalIdentifierstringorder.notesJSON stringorder.notes[index].createdByUserstringorder.notes[index].customerNotebooleanorder.notes[index].dateCreatedmillisorder.notes[index].dateCreatedStringstringorder.notes[index].flaggedbooleanindicating if this note was flagged as importantorder.notes[index].notestringorder.optInEmailbooleanorder.orderIdstringorder.orderDatemillisorder.orderDateStringstringorder.orderStatusorderStatususage, please review the Retrieve an order document here.Additional information on the order statuses can be found in the Update an order document here.stringorder.orderStatusDateorderStatuschange in the Zonos system.millisorder.orderStatusDateStringorderStatuschange in the Zonos system.stringorder.paymentProcessingpaymentProcessingdetails. Some parameters may not be applicable to your account and will be excluded from the response.JSON stringorder.paymentProcessing.captureDatemillisorder.paymentProcessing.captureDateStringstringorder.paymentProcessing.cardTypestringorder.paymentProcessing.lastFourstringorder.paymentProcessing.paymentGatewaystringorder.paymentProcessing.transactionTypestringorder.poNumberstringorder.quotedDutyTaxesintegerorder.quotedDutyTaxesForeignintegerorder.referenceIdreferenceIdassociated with the order through the createTempCart API service endpoint.stringorder.shipCompletebooleanorder.shippingCarrierServiceLevelstringorder.shippingInstructionsstringorder.shippingTotalintegerorder.shippingTotalForeignintegerorder.testOrderbooleanorder.trackingNumberstringorder.zipstringAdditional data types:
order.address1order.address2order.address3order.altPhoneorder.billingAddress1order.billingAddress2order.billingAddress3order.billingAltPhoneorder.billingCityorder.birthDateorder.billingCompanyorder.billingCountryCodeorder.billingCountryNameorder.billingEmailorder.billingNameorder.billingPhoneorder.billingStateorder.cityorder.companyorder.countryCodeorder.countryNameorder.emailorder.items[index].countryOfOriginorder.items[index].descriptionorder.items[index].imageURLorder.items[index].itemBrandorder.items[index].itemCategoryorder.items[index].itemColororder.items[index].itemCustomizationorder.items[index].itemDescriptionDetailedorder.items[index].itemDescriptionLongorder.items[index].itemFabricContentorder.items[index].itemHSCodeorder.items[index].itemLtlClassorder.items[index].itemMaterialorder.items[index].itemURLorder.items[index].productIdorder.items[index].skuorder.items[index].productIdorder.items[index].weightUnitsorder.nameorder.phoneorder.stateWas this page helpful?